<?php
/*
###################################################################################
  Bigware Shop 2.3
  Release Datum: 23.08.2015
  
  Bigware Shop
  http://www.bigware.de

  Copyright (c) 2015 Bigware LTD
  (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
  (c) 2015	Bigware LTD

  Copyrightvermerke duerfen nicht entfernt werden.
  ------------------------------------------------------------------------
  Dieses Programm ist freie Software. Sie koennen es unter den Bedingungen
  der GNU General Public License, wie von der Free Software Foundation
  veroeffentlicht, weitergeben und/oder modifizieren, entweder gemaess Version 2 
  der Lizenz oder (nach Ihrer Option) jeder spaeteren Version.
  Die Veroeffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen
  von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die
  implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FUER EINEN
  BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License.
  
  Sie sollten eine Kopie der GNU General Public License zusammen mit diesem
  Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.

  Infos:
  ------------------------------------------------------------------------
  Der Bigware Shop wurde vor vielen Jahren bereits aus dem bekannten Shopsystem osCommerce
  weiter- und neuentwickelt.
  Der Bigware Shop legt im hohen Masse Wert auf Bedienerfreundlichkeit, beinhaltet eine leichte
  Installation, viele neue professionelle Werkzeuge und zeichnet sich aus durch eine grosse 
  Community, die bei Problemen weiterhelfen kann.
  
  Der Bigware Shop ist auf jedem System lauffaehig, welches eine PHP Umgebung
  (ab PHP 4.1.3) und mySQL zur Verfuegung stellt und auf Linux basiert.
 
  Hilfe erhalten Sie im Forum auf www.bigware.de 
  
  -----------------------------------------------------------------------
  
 ##################################################################################




*/
?>
<?php 

function getParentCategories($child, $language_id) {
	$sql = "SELECT categories_name, sort_order, parent_id FROM categories c, categories_description d ".
	      " WHERE c.categories_id = d.categories_id AND language_id = $language_id AND c.categories_id = $child";
	$sth = go_db_query($sql);
	if ($res = go_db_fetch_assoc($sth)) {
		$sort_order = $res[sort_order];
		$name = $res[categories_name];
 		$name = preg_replace('/[\r\n\^]/', '', $name);
 		$name = str_replace(';', '', $name);
		$name = $name . '^' . $sort_order;
		if ($res[parent_id] > 0) {
			return $name.';'.getParentCategories($res[parent_id], $language_id);
		}
	}
	return $name;
}

if ($htmlseite2 == "ja"){
	header("Content-type: application/csv"); 
	header("Content-Disposition: attachment; filename=artikel.csv"); 
	readfile('../picture/artikel.csv');
	
}
else {
	  require('load_this/load_bigware_11.php');
	
		
	  $action = (isset($_GET['action']) ? $_GET['action'] : '');
	$name_der_csv = "../picture/artikel.csv";
if ($htmlseite == "1"){	
	if ( (file_exists($name_der_csv)) && (!is_writeable($name_der_csv)) ) {
	
	        $file_writeable = false;
	        $messageStack->reset();
	        $messageStack->add(sprintf('Die Datei ../picture/artikel.csv ist nicht schreibbar. Bitte setzen Sie diese auf chmod 777.', $name_der_csv), 'error');
	        echo $messageStack->output();
	
	} 
	/* wenn Datei nicht vorhanden, dann erstellen ##by Ede*/
	else {fopen ("../picture/artikel.csv","w+");}
}
	?>
	<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
	<html <?php echo HTML_PARAMS; ?>>
	<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
	<title><?php echo TITLE; ?></title>
	<link rel="stylesheet" type="text/css" href="load_this/style.css">
	<script language="javascript" src="load_this/menu.js"></script>
	<script language="JavaScript" type="text/JavaScript">
	<!--
	function ow(seite)
	  { 	
		w1 = window.open(seite, 'LEAF', 'toolbar=no,status=no,width=500,height=600,directories=no,scrollbars=yes,location=no,resize=yes,menubar=no');
	  	w1.focus();
	}
	//-->
	</script>
	</head>
	<body  marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
	<!-- header //-->
	<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_9.php'); ?>
	<!-- header_eof //-->
	
	<!-- body //-->
	
	<table border="0" width="100%" cellspacing="2" cellpadding="2">
	  <tr>
	    <td width="<?php echo FRAME_WIDTH; ?>" valign="top"></td>
	<!-- body_text //-->
	    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td class="pageGeneralsign"><?php echo ABOVE_TITLE; ?></td>
	            <td class="pageGeneralsign" align="right"><?php echo go_fetch_dividing_up('tranparentes.gif', ABOVE_PICTURE_WIDTH, ABOVE_PICTURE_HEIGHT); ?></td>
	          </tr>
	        </table></td>
	      </tr>
	      <tr>
	        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
	
	          <tr>
	            <td>
	            
	
	            
		<form method="POST" action="main_bigware_38.php" enctype="multipart/form-data" name="einlesen">
		  <table border="0" cellpadding="5" cellspacing="1" style="border-collapse: collapse" width="100%" id="AutoNumber1">
	        <tr class=infoFrameInside>
	          <td width="33%" valign="top" class="TbInsideData">
	
	
	
	<!-- Edit Richy 5 Bilder �bertrag -->
	              <?php echo go_picture(FOLDER_RELATIV_PICTURES . 'icon_arrow_right.gif'); ?> 
	              <?php echo TEXT_EXPLAIN_EASY_CSV; ?><br><br>
	              Artikel_number ; Products_name ; Products_name_2 ; Products_menge ; Products_price ; Products_final_price; items_weight ; Products_status ; Products_picture ; Products_bpicture ; Products_3picture ; Products_4picture ; Products_5picture ; Producers_name ; Categories_name_1 ; Categories_sort_order_1 ; Categories_name_2 ; Categories_sort_order_2 ; Categories_name_3 ; Categories_sort_order_3 ; Categories_name_4 ; Categories_sort_order_4 ; Categories_name_5 ; Categories_sort_order_5 ; Products_description ; Items_Url ; Bezeichnung1 ; Inhalt1 ; Bezeichnung2 ; Inhalt2 ; Bezeichnung3 ; Inhalt3 ; Bezeichnung4 ; Inhalt4 ; Bezeichnung5 ; Inhalt5 ; Bezeichnung6 ; Inhalt6 ; UPC/EAN/ISBN ; Herstellernummer;
	<!-- Edit Richy ende -->
		 	<br><br><?php echo TEXT_EXPLAIN_EASY_CSV_TWO; ?>
		          </td>
	            </tr>
							<tr><td  class="TbInsideData"><?php echo TEXT_DEZI_PRICE; ?>
							 <select name="priceseparetor">
							  <option value=".">.</option>
								<option value=",">,</option>
							 </select></td></tr>
	          </table>
	
				
	<br>
    1.
	<?php echo go_picture_submit('button_update.gif', PICTURE_UPDATE);?><br><br>	
    <!-- Downloadbutton f�r CSV Datei ##by Ede-->
	2.
	<a href="../picture/artikel.csv"><img src="../picture/download.gif" border="0"></a>		
	
	
	 
		      </td>
	        </tr>
	      </table>
		 
		  <p>
		  <br>
	<input type="hidden" name="htmlseite" value="1">
		  
	</p>
	</form>     
	         
	            </td>
	              </tr>
	            </table></td>
	          </tr>
	
	          <tr>
	            <td><table border="0" cellpadding="0" cellspacing="2">
	              <tr>
	                <td colspan="2"><?php echo go_fetch_dividing_up('tranparentes.gif', '1', '10'); ?></td>
	              </tr>
	
	<!-- body_text_eof //-->
	        </table></td>
	  </tr>
	</table>
	
	<!-- body_eof //-->
	
	<!-- footer //-->
	<?php require(FOLDER_RELATIV_INCLUDES . 'load_bigware_7.php'); ?>
	<!-- footer_eof //-->
	<br>
	</body>
	</html>
	<?php 
	
	require(FOLDER_RELATIV_INCLUDES . 'load_bigware_6.php'); 
	
	
	if ($htmlseite == "1"){
	
	echo '<link rel="stylesheet" type="text/css" href="load_this/style.css">';
	
	require('load_this/load_bigware_15.php');
		$benutzer = DB_SERVER_USERNAME; 
		$passwort = DB_SERVER_PASSWORD; 
		$dbname = DB_DATABASE; 
		$host = DB_SERVER;  
		$link = go_db_connect();
		
		
	  
	  @chmod ("$name_der_csv", 0777);	  		

if ( (file_exists($name_der_csv)) && (is_writeable($name_der_csv)) ){  
	  
	$fh=fopen("$name_der_csv","w");
	# edit Richy 5 Bilder �bertrag 
	 $str = "artikel_number;items_name;items_name2;items_menge;items_price;items_final_price;items_weight;items_status;items_picture;items_bpicture;items_3picture;items_4picture;items_5picture;producers_name;categories_name_1;categories_sort_order_1;categories_name_2;categories_sort_order_2;categories_name_3;categories_sort_order_3;categories_name_4;categories_sort_order_4;categories_name_5;categories_sort_order_5;items_description;items_url;bezeichnung1;inhalt1;bezeichnung2;inhalt2;bezeichnung3;inhalt3;bezeichnung4;inhalt4;bezeichnung5;inhalt5;bezeichnung6;inhalt6;upc_ean_isbn;herstellernummer;\n";
	# edit Richy ende
	 fwrite($fh,$str); 
		$id = go_db_query("SELECT items_id FROM items");
		while ($werte = go_db_fetch_array($id))
			{
	$items_id = $werte["items_id"];			
	# edit Richy 5 Bilder �bertrag			
	$id2 = go_db_query("SELECT p2.items_id, p2.items_quantity, p2.items_model, p2.items_picture, p2.items_bpicture, p2.items_3picture, p2.items_4picture, p2.items_5picture, p2.items_price,p2.items_tax_class_id, p2.items_weight, p2.items_status, p3.items_name, p2.upc_ean_isbn, p2.herstellernummer, p3.items_name2, p3.items_description, p.producers_name, p3.items_url,  p3.bezeichnung1, p3.inhalt1,p3.bezeichnung2, p3.inhalt2,p3.bezeichnung3, p3.inhalt3,p3.bezeichnung4, p3.inhalt4,p3.bezeichnung5, p3.inhalt5,p3.bezeichnung6, p3.inhalt6, p5.categories_id FROM items AS p2 NATURAL LEFT JOIN producers p, items_description AS p3, items_to_categories AS p5
	WHERE p3.language_id = '" . (int)$languages_id . "' AND p2.items_id = p5.items_id AND p2.items_id = p3.items_id AND p2.items_id = '$items_id'");
	# edit Richy ende
	$werte2 = go_db_fetch_array($id2);
	$items_quantity = $werte2["items_quantity"];
	$items_model = $werte2["items_model"];
	if (!empty($werte2["items_picture"])) {
		$items_picture = preg_match('#^http#i', $werte2["items_picture"]) ? $werte2["items_picture"] : HTTP_CATALOG_SERVER . FOLDER_RELATIV_CATALOG_PICTURES . $werte2["items_picture"]; 
	} else {
		$items_picture = "";
	}
	# edit Richy 5 Bilder �bertrag
	if (!empty($werte2["items_bpicture"])) {
		$items_bpicture = preg_match('#^http#i', $werte2["items_bpicture"]) ? $werte2["items_bpicture"] : HTTP_CATALOG_SERVER . FOLDER_RELATIV_CATALOG_PICTURES . $werte2["items_bpicture"]; 
	} else {
		$items_bpicture = "";
	}
	if (!empty($werte2["items_3picture"])) {
		$items_3picture = preg_match('#^http#i', $werte2["items_3picture"]) ? $werte2["items_3picture"] : HTTP_CATALOG_SERVER . FOLDER_RELATIV_CATALOG_PICTURES . $werte2["items_3picture"]; 
	} else {
		$items_3picture = "";
	}
	if (!empty($werte2["items_4picture"])) {
		$items_4picture = preg_match('#^http#i', $werte2["items_4picture"]) ? $werte2["items_4picture"] : HTTP_CATALOG_SERVER . FOLDER_RELATIV_CATALOG_PICTURES . $werte2["items_4picture"]; 
	} else {
		$items_4picture = "";
	}
	if (!empty($werte2["items_5picture"])) {
		$items_5picture = preg_match('#^http#i', $werte2["items_5picture"]) ? $werte2["items_5picture"] : HTTP_CATALOG_SERVER . FOLDER_RELATIV_CATALOG_PICTURES . $werte2["items_5picture"]; 
	} else {
		$items_5picture = "";
	}
	# edit Richy ende
	
	$items_price = $werte2["items_price"];
	$items_price = str_replace('.',$_POST['priceseparetor'],$items_price);
	$items_final_price = $items_price + ((go_get_tax_rate($werte2['items_tax_class_id'])*$items_price)/100);
	$items_final_price = str_replace('.',$_POST['priceseparetor'],$items_final_price);

	$items_weight = $werte2["items_weight"];
	$items_status = $werte2["items_status"];
	$items_name = $werte2["items_name"];
	$items_name = preg_replace('/\r\n|\r|\n|\n\r/', '', $items_name);
	$items_name = str_replace(';', '', $items_name);
	$items_name2 = $werte2["items_name2"];
	$items_name2 = preg_replace('/\r\n|\r|\n|\n\r/', '', $items_name2);
	$items_name2 = str_replace(';', '', $items_name2);

	$items_description = $werte2["items_description"];
	$items_description = preg_replace('/\r\n|\r|\n|\n\r/', '', $items_description);
	$items_description = preg_replace('//', '', $items_description);
	$items_description = str_replace(';', '', $items_description);
	/*test*/
	$items_url = $werte2["items_url"];
	$items_url = preg_replace('/\r\n|\r|\n|\n\r/', '', $items_url);
	$items_url = preg_replace('//', '', $items_url);
	$items_url = str_replace(';', '', $items_url);
	/*test*/
	$bezeichnung1 = $werte2["bezeichnung1"];
	$bezeichnung1 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung1);
	$bezeichnung1 = preg_replace('//', '', $bezeichnung1);
	$bezeichnung1 = str_replace(';', '', $bezeichnung1);
	$inhalt1 = $werte2["inhalt1"];
	$inhalt1 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt1);
	$inhalt1 = preg_replace('//', '', $inhalt1);
	$inhalt1 = str_replace(';', '', $inhalt1);
	
	$bezeichnung2 = $werte2["bezeichnung2"];
	$bezeichnung2 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung2);
	$bezeichnung2 = preg_replace('//', '', $bezeichnung2);
	$bezeichnung2 = str_replace(';', '', $bezeichnung2);
	$inhalt2 = $werte2["inhalt2"];
	$inhalt2 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt2);
	$inhalt2 = preg_replace('//', '', $inhalt2);
	$inhalt2 = str_replace(';', '', $inhalt2);
	
	$bezeichnung3 = $werte2["bezeichnung3"];
	$bezeichnung3 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung3);
	$bezeichnung3 = preg_replace('//', '', $bezeichnung3);
	$bezeichnung3 = str_replace(';', '', $bezeichnung3);
	$inhalt3 = $werte2["inhalt3"];
	$inhalt3 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt3);
	$inhalt3 = preg_replace('//', '', $inhalt3);
	$inhalt3 = str_replace(';', '', $inhalt3);
	
	$bezeichnung4 = $werte2["bezeichnung4"];
	$bezeichnung4 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung4);
	$bezeichnung4 = preg_replace('//', '', $bezeichnung4);
	$bezeichnung4 = str_replace(';', '', $bezeichnung4);
	$inhalt4 = $werte2["inhalt4"];
	$inhalt4 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt4);
	$inhalt4 = preg_replace('//', '', $inhalt4);
	$inhalt4 = str_replace(';', '', $inhalt4);
	
	$bezeichnung5 = $werte2["bezeichnung5"];
	$bezeichnung5 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung5);
	$bezeichnung5 = preg_replace('//', '', $bezeichnung5);
	$bezeichnung5 = str_replace(';', '', $bezeichnung5);
	$inhalt5 = $werte2["inhalt5"];
	$inhalt5 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt5);
	$inhalt5 = preg_replace('//', '', $inhalt5);
	$inhalt5 = str_replace(';', '', $inhalt5);
	
	$bezeichnung6 = $werte2["bezeichnung6"];
	$bezeichnung6 = preg_replace('/\r\n|\r|\n|\n\r/', '', $bezeichnung6);
	$bezeichnung6 = preg_replace('//', '', $bezeichnung6);
	$bezeichnung6 = str_replace(';', '', $bezeichnung6);
	$inhalt6 = $werte2["inhalt6"];
	$inhalt6 = preg_replace('/\r\n|\r|\n|\n\r/', '', $inhalt6);
	$inhalt6 = preg_replace('//', '', $inhalt6);
	$inhalt6 = str_replace(';', '', $inhalt6);

	$producers_name = $werte2["producers_name"];
	$producers_name = preg_replace('/\r\n|\r|\n|\n\r/', '', $producers_name);
	$producers_name = preg_replace('//', '', $producers_name);
	$producers_name = str_replace(';', '', $producers_name);
	
	$ean_isbn = $werte2["upc_ean_isbn"];
	
	$mpn = $werte2["herstellernummer"];
	
	$categories_id = $werte2["categories_id"];
	if ($categories_id > 0) {
		$categories_names = getParentCategories($categories_id, $languages_id);
	} else {
		$categories_names = ';;;;;;;;;;';
	}
	# $categories_names = join(';', array_splice(array_reverse(explode(';', ';;;;;;'.$categories_names)), 0, 5));
	$categories_names = array_splice(array_reverse(explode(';', ';;;;;;'.$categories_names)), 0, 5);
	foreach ($categories_names as $category) {
		$cat_sort = explode('^', $category);
		$category = $cat_sort[0].';'.$cat_sort[1];
	}
	$categories_names = join(';', $categories_names);
	# edit Richy 5 Bilder �bertrag
	$str = "$items_model;$items_name;$items_name2;$items_quantity;$items_price;$items_final_price;$items_weight;$items_status;$items_picture;$items_bpicture;$items_3picture;$items_4picture;$items_5picture;$producers_name;$categories_names;;;;;;$items_description;$items_url;$bezeichnung1;$inhalt1;$bezeichnung2;$inhalt2;$bezeichnung3;$inhalt3;$bezeichnung4;$inhalt4;$bezeichnung5;$inhalt5;$bezeichnung6;$inhalt6;$ean_isbn;$mpn;\n";	
	# edit Richy ende	
			fwrite($fh,$str);				
		}
	  fclose($fh);
	  
	echo '				
	
					<form name="weiter" method="POST" action="main_bigware_38.php">
					<input type="hidden" name="htmlseite2" value="ja">
					
					</form>
					</p>
					<script>
					document.weiter.submit();
					</script>
					
	';
}	
	} 
}
?>
